## choose-mirror 2.13etch4

=== Makefile ===
USE_HTTP=1
#USE_FTP=1
USE_FTP_MANUAL=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS=-Wall -g -D_GNU_SOURCE -DARCH_TEXT='"$(DEB_HOST_ARCH)"'
templates=debian/choose-mirror-bin.templates-in

ifeq (1,${USE_HTTP})
CFLAGS:=$(CFLAGS) -DWITH_HTTP
templates:=$(templates) debian/choose-mirror-bin.templates.http-in
endif
ifeq (1,${USE_FTP})
CFLAGS:=$(CFLAGS) -DWITH_FTP
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.sel-in
endif
ifeq (1,${USE_FTP_MANUAL})
CFLAGS:=$(CFLAGS) -DWITH_FTP_MANUAL
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
endif
templates:=$(templates) debian/choose-mirror-bin.templates.both-in

OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=choose-mirror
LIBS=-ldebconfclient -ldebian-installer

# Derivative distributions may want to change these.
MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
MASTERLIST=Mirrors.masterlist

ifdef DEBUG
CFLAGS:=$(CFLAGS) -DDODEBUG
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

all: $(BIN) debian/choose-mirror-bin.templates

ifdef MIRRORLISTURL
# Freshen Mirrors.masterlist file, but allow failure.
$(MASTERLIST): force-try-update
	if [ "$$ONLINE" != n ]; then \
		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
		   test -s $@.new; then \
        		mv $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
	fi
force-try-update: ;
endif

debian/httplist-countries: $(MASTERLIST)
	./mirrorlist httplist $^

debian/ftplist-countries: $(MASTERLIST)
	./mirrorlist ftplist $^

debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries
	# Grab ISO codes from iso-codes package
	./get-iso-codes
	# Build the templates
	./mktemplates $(templates)

mirrors_http.h: $(MASTERLIST)
	./mirrorlist http $^

mirrors_ftp.h: $(MASTERLIST)
	./mirrorlist ftp $^

choose-mirror.o: mirrors_http.h mirrors_ftp.h

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)

strip: $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean strip debian/choose-mirror-bin.templates
	ls -l $(BIN)

ftp: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_FTP -DSMALL
ftp: clean strip
	ls -l $(BIN)

http: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTP -DSMALL
http: clean strip
	ls -l $(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
	rm -f demo demo.templates
	rm -rf debian/iso-codes debian/pobuild

reallyclean: clean
	rm -f debian/choose-mirror-bin.templates
ifdef MIRRORLISTURL
	rm -f Mirrors.masterlist
endif

.PHONY: demo
demo: choose-mirror demo.templates
	ln -sf choose-mirror demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo

demo.templates: debian/choose-mirror-bin.templates
	po2debconf $< > $@

=== debian/changelog ===
choose-mirror (2.13etch4) oldstable; urgency=low

  * Backport from trunk.
    - Correctly move progress bar to 100% after reading suites.

 -- Frans Pop <fjp@debian.org>  Thu,  4 Feb 2010 21:20:13 +0100

choose-mirror (2.13etch3) oldstable; urgency=low

  * Backport fix by Joey Hess:
    - mirror_root can return null. If it does, flag the mirror as invalid.
  * Backport from Lenny to improve validation of suites available on
    selected mirror and suite selection.
    Changes include:
    - all suites available on a mirror get validated; if an inconsistency is
      found in any suite (between directory/symlink names and Suite/Codename
      fields in the Release file), the mirror will be rejected as invalid;
    - if a release can be accessed using codename as well as suite, the
      selection dialog will display both;
    - proper support for oldstable; will only be listed in selection dialog if
      it's the requested release (as installer default or through preseeding);
    - improved support for mirror that only have codename directories, such as
      archive.debian.org;
    - support for mirrors that don't have codename directories (but use suite
      names as directories);
    - various code cleanups.
    Many thanks to Jérémy Bobbio for reviewing the changes.
  * Update translations of the new string 'oldstable' from trunk.

 -- Frans Pop <fjp@debian.org>  Sun,  6 Dec 2009 08:52:56 +0100

choose-mirror (2.13etch2) stable; urgency=low

  * Update mirror list.

 -- Frans Pop <fjp@debian.org>  Thu, 31 Jan 2008 14:21:29 +0000

choose-mirror (2.13etch1) stable; urgency=low

  * Update mirror list.

 -- Frans Pop <fjp@debian.org>  Mon,  4 Jun 2007 22:57:44 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.47), wget, po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41), locales, iso-codes (>= 0.35-1), python, python-xml
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror

Package: choose-mirror
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 23
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.19ubuntu6

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
-MASTERLIST=Mirrors.masterlist
+#MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+MASTERLIST=Mirrors.masterlist.ubuntu
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG

## choose-mirror 2.24ubuntu2

=== debian/changelog ===
choose-mirror (2.24ubuntu2) intrepid; urgency=low

  * Fix extraneous Ubuntu-specific reference to PREFERRED_DISTRIBUTION; in
    practice this should never be needed anymore, but in any case it's
    currently not defined.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jun 2008 02:07:54 -0700

choose-mirror (2.24ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Switch to hardy by default.
    - Drop unsupported releases from mirror/suite Choices.
    - Set Vcs-Bzr for Ubuntu.
    - Use ports.ubuntu.com for all countries.
    - Move sparc to ports.ubuntu.com, and fix default hostname and directory
      for sparc.
    - Fix country selection for ports architectures.
  * Change the default target from hardy to intrepid; drop edgy from the list
    of suite choices since it's no longer supported

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Jun 2008 23:50:20 -0700

choose-mirror (2.24) unstable; urgency=low

  * Patch by Matthias Klose stolen from Ubuntu (closes: #468623):
    - iso3166tab.py: Include ErrorPrinter and DefaultHandler from obsolete
      saxutils.py
    - drop build dependency on python-xml
  * Remove PREFERRED_DISTRIBUTION; has been replaced by /etc/default_release.
  * Improved version of the script used to sort the mirror country list.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Ivan Masár

 -- Frans Pop <fjp@debian.org>  Sun, 06 Apr 2008 11:48:18 +0200

choose-mirror (2.23) unstable; urgency=low

  * Rebuilt using updated Mirrors.masterlist which now includes official
    armel mirrors.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Feb 2008 16:59:49 -0500

choose-mirror (2.22) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Viesturs Zarins
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 07:49:33 -0200

choose-mirror (2.21) unstable; urgency=low

  * If built from a clean VCS checkout, Mirrors.masterlist was not present
    when the source package was built, and so was not included in the source
    package, and so has to be individually downloaded by each build daemon.
    Avoid this by updating Mirrors.masterlist in the clean rule.
    Closes: #460389

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jan 2008 13:56:15 -0500

choose-mirror (2.20) unstable; urgency=low

  * Rebuild with latest Mirrors.masterlist. (Particularly for armel.)

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jan 2008 13:41:21 -0500

choose-mirror (2.19ubuntu6) hardy; urgency=low

  * Fix default hostname and directory for sparc.
  * Fix country selection for ports architectures (LP: #218801).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Apr 2008 15:20:44 +0100

choose-mirror (2.19ubuntu5) hardy; urgency=low

  * Move sparc to ports.ubuntu.com, per
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-March/000400.html.
    (The actual packages have yet to be moved there, but that will happen
    soon.)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Apr 2008 22:49:03 +0100

choose-mirror (2.19ubuntu4) hardy; urgency=low

  * Use ports.ubuntu.com for all countries (LP: #176672).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Apr 2008 16:39:21 +0100

choose-mirror (2.19ubuntu3) hardy; urgency=low

  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2008 10:28:19 +0000

choose-mirror (2.19ubuntu2) hardy; urgency=low

  * Drop build dependency on python-xml.
  * iso3166tab.py: Include ErrorPrinter and DefaultHandler from obsolete
    saxutils.py

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 15:08:34 +0000

choose-mirror (2.19ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.


## choose-mirror 2.27ubuntu4

=== debian/changelog ===
choose-mirror (2.27ubuntu4) jaunty; urgency=low

  * Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
    mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
    mirror/ftp/mirror (LP: #18225).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Mar 2009 13:58:55 +0000

choose-mirror (2.27ubuntu3) jaunty; urgency=low

  * Fix build-dependencies broken in merge of 2.27, including restoring the
    dependency on isoquery so that we can build a proper list of countries
    (LP: #321225).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jan 2009 22:04:58 +0000

choose-mirror (2.27ubuntu2) jaunty; urgency=low

  * Switch default mirror for armel and lpia to
    ports.ubuntu.com/ubuntu-ports/.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jan 2009 13:06:53 +0000

choose-mirror (2.27ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Switch to jaunty by default.
    - Drop unsupported releases from mirror/suite Choices.
    - Set Vcs-Bzr for Ubuntu.
    - Use ports.ubuntu.com for all countries.
    - Move sparc to ports.ubuntu.com, and fix default hostname and directory
      for sparc.
    - Fix country selection for ports architectures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Nov 2008 14:00:22 -0800

choose-mirror (2.27) unstable; urgency=low

  * Use isoquery instead of a python script to generate iso_3166.tab and
    generate the file only once instead of every time its needed.
  * Remove obsolete versions in build dependencies.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Sep 2008 12:16:32 +0200

choose-mirror (2.26) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 18:56:44 -0300

choose-mirror (2.25) unstable; urgency=low

  [ Frans Pop ]
  * Remove Martin Sjogren and Matt Kraai as Uploaders with many thanks for
    their past contributions.

  [ Joey Hess ]
  * mirror_root can return null. If it does, flag the mirror as invalid.
  * ftp.debian.org has been disabled in Mirrors.masterlist. So remove it as
    the default. Do not set a default at all, we'll rely on the first mirror
    in the list being a good default choice. Closes: #486558

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by Kov Chai

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:36:46 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/choose-mirror/ubuntu

Package: choose-mirror
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.28lenny6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-USE_HTTP=1
-#USE_FTP=1
+export USE_HTTP=1
+#export USE_FTP=1
 USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
-MASTERLIST=Mirrors.masterlist.ubuntu
+MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -52,23 +52,26 @@
 force-try-update: ;
 endif
 
-debian/httplist-countries: $(MASTERLIST)
+debian/iso_3166.tab:
+	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab
+
+debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
-debian/ftplist-countries: $(MASTERLIST)
+debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
 	./mktemplates $(templates)
 
-mirrors_http.h: $(MASTERLIST)
-	./mirrorlist http $^
+mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
-mirrors_ftp.h: $(MASTERLIST)
-	./mirrorlist ftp $^
+mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
@@ -96,6 +99,7 @@
 	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes debian/pobuild
+	rm -f debian/iso_3166.tab
 
 reallyclean: clean
 	rm -f debian/choose-mirror-bin.templates

=== debian/changelog ===
choose-mirror (2.28lenny6) stable; urgency=low

  * Backport from trunk.
    - Correctly move progress bar to 100% after reading suites.
  * Updated mirror list.

 -- Frans Pop <fjp@debian.org>  Sat, 08 May 2010 16:50:46 +0000

choose-mirror (2.28lenny5) stable; urgency=low

  * Fix inconsistency between network- and CD-based installs by always
    cross-validating Release files to ensure identical behavior during
    apt-setup.

 -- Frans Pop <fjp@debian.org>  Mon, 30 Nov 2009 06:46:00 +0000

choose-mirror (2.28lenny4) stable; urgency=low

  * Revert incomplete solution from 2.28lenny2 for oldstable. It does not
    work when users install in expert mode.
  * Backport from trunk to improve validation of suites available on
    selected mirror and suite selection. Closes: #518319.
    Changes include:
    - all suites available on a mirror get validated; if an inconsistency is
      found in any suite (between directory/symlink names and Suite/Codename
      fields in the Release file), the mirror will be rejected as invalid;
    - if a release can be accessed using codename as well as suite, the
      selection dialog will display both;
    - proper support for oldstable; will only be listed in selection dialog if
      it's the requested release (as installer default or through preseeding);
    - improved support for mirror that only have codename directories, such as
      archive.debian.org;
    - support for mirrors that don't have codename directories (but use suite
      names as directories);
    - various code cleanups.
    Many thanks to Jérémy Bobbio for reviewing the changes.
  * Update translations for suites (especially of the new string 'oldstable')
    from trunk.

 -- Frans Pop <fjp@debian.org>  Sat, 28 Nov 2009 20:27:51 +0000

choose-mirror (2.28lenny3) stable; urgency=low

  * Properly upload it to stable.

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 04 Apr 2009 15:49:02 -0300

choose-mirror (2.28lenny2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Accept "oldstable" as a correct preseed for mirror/suite (closes: #517644).

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 04 Apr 2009 15:29:29 -0300

choose-mirror (2.28lenny1) unstable; urgency=low

  * Rebuilt using updated Mirrors.masterlist

 -- Otavio Salvador <otavio@debian.org>  Tue, 06 Jan 2009 16:36:35 -0200

choose-mirror (2.28) unstable; urgency=low

  * Rebuilt using updated Mirrors.masterlist

 -- Otavio Salvador <otavio@debian.org>  Tue, 02 Dec 2008 21:55:19 -0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror

Package: choose-mirror
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.29ubuntu1

=== debian/changelog ===
choose-mirror (2.29ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, ia64, lpia,
      powerpc, sparc) use ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
  * Drop hppa support, as hppa is EOL in Karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 13:22:11 +0100

choose-mirror (2.29) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Christian Perrier ]
  * Use 6 as debhelper compatibility level
  
  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 May 2009 19:15:44 +0200

choose-mirror (2.28ubuntu2) karmic; urgency=low

  * Switch to karmic by default; drop gutsy from the list of suite choices.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Apr 2009 02:18:36 +0100

choose-mirror (2.28ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, hppa, ia64,
      lpia, powerpc, sparc) use ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Apr 2009 14:09:05 +0100

## choose-mirror 2.37

=== Makefile ===
--- 
+++ 
@@ -98,7 +98,7 @@
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
 	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
-	rm -rf debian/iso-codes debian/pobuild
+	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab
 
 reallyclean: clean

=== debian/changelog ===
choose-mirror (2.37) unstable; urgency=low

  [ Christian Perrier ]
  * Use "mirror" as default hostname for custom FTP or HTTP mirror
    Closes: #605579

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:33:11 -0200

choose-mirror (2.36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn  Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 12 Nov 2010 15:06:39 -0200

choose-mirror (2.35) unstable; urgency=medium

  * List in-country leaf mirrors before out-of-country GeoDNS mirrors
    for countries that have no push mirrors. Closes: #598538
    (Affects 20 countries.)

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Finnish (fi.po) by Esko Arajärvi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Janos Guljas
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 2010 17:53:48 -0400

choose-mirror (2.34) unstable; urgency=low

  [ Joey Hess ]
  * Support entries in Mirrors.masterlist of "Type: GeoDNS".
  * For now, GeoDNS mirrors are listed above Leaf mirrors, but after
    Push-Primary and Push-Secondary mirrors. We may later choose to
    change the ordering so cdn.debian.net is used by default.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 07:30:51 +0200

choose-mirror (2.33) unstable; urgency=low

  * Correctly move progress bar to 100% after reading suites.
  * Fix incorrect sorting of country lists for English. Closes: #569199.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Basque (eu.po)
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 10 Feb 2010 23:08:52 +0100

choose-mirror (2.32) unstable; urgency=low

  * Improve generation of country selection templates to avoid display of
    untranslated country codes. Closes: #502245.
  * Use Norwegian Bokmaal country names if no iso-codes translation is
    available for Northern Sami.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * Hungarian (hu.po) by SZERVÁC Attila
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Vanja Cvelbar
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Fri, 29 Jan 2010 23:45:47 +0100

choose-mirror (2.31) unstable; urgency=low

  * Fix inconsistency between network- and CD-based installs by always
    cross-validating Release files to ensure identical behavior during
    apt-setup.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Bulgarian (bg.po) by Damyan Ivanov
  * Greek, Modern (1453-) (el.po)
  * Japanese (ja.po) by Kenshi Muto
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Mon, 30 Nov 2009 07:27:04 +0100

choose-mirror (2.30) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * Drop backwards compatibility support for preseeding of "manual" mirror
    selection.
  * Improve validation of suites available on selected mirror and suite
    selection. Changes include:
    - all suites available on a mirror get validated; if an inconsistency is


## choose-mirror 2.37ubuntu2

=== debian/changelog ===
choose-mirror (2.37ubuntu2) natty; urgency=low

  * Record a dummy "GB" entry in templates files for non-country-specific
    mirrors (i.e. ports.ubuntu.com) so that ports installations have more
    choices than just "enter information manually" (LP: #756719).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2011 15:06:37 +0100

choose-mirror (2.37ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 18:48:20 +0000

choose-mirror (2.36ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:32:12 +0000

choose-mirror (2.35ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
  * Drop ia64 and sparc support, as those were EOL in Maverick.
  * Switch to natty by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Oct 2010 11:30:04 +0100

choose-mirror (2.33ubuntu3) maverick; urgency=low

  * Set mirror/suite Default to maverick (LP: #656037).
  * Accept a mirror/suite default even if the base system is on the CD
    (workaround for maverick).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Oct 2010 10:30:43 +0100

choose-mirror (2.33ubuntu2) maverick; urgency=low

  * Fix mismerge of Ubuntu-specific change to skip mirror validation if the
    base system is installable and we're installing from a mirror in the
    masterlist.  With the reorganisation of suite validation in 2.30,
    exiting early meant that the proxy question never got asked.  Instead,
    modify get_release and check_arch to return early in this case, but
    otherwise keep going (LP: #613550).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 03 Oct 2010 12:33:47 +0100

choose-mirror (2.33ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, ia64, powerpc,
      sparc) use ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.


## choose-mirror 2.37+squeeze1

=== debian/changelog ===
choose-mirror (2.37+squeeze1) squeeze; urgency=low

  [ Tollef Fog Heen ]
  * Update URL for master mirror list.

  [ Cyril Brulebois ]
  * Backport the above change from 2.39 to fix FTBFS. Closes: #695851

 -- Cyril Brulebois <kibi@debian.org>  Sat, 22 Dec 2012 01:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
 
 Package: choose-mirror

## choose-mirror 2.37+squeeze1jasp1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.37+squeeze1jasp1) squeeze; urgency=low

  * Several improvements.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 24 Feb 2013 16:33:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>,
+ Javier Serrano Polo <javier@jasp.net>
 Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror

## choose-mirror 2.38

=== debian/changelog ===
choose-mirror (2.38) unstable; urgency=low

  * Team upload
  * Append "http://" to proxy hostname (and optionnally port)
    only when "://" is not found in what's supplied through debconf
    Closes: #590507
  * 
  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Apr 2011 07:55:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>,
- Javier Serrano Polo <javier@jasp.net>
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
+Vcs-Browser: http://git.debian.org/?p=d-i/choose-mirror.git
+Vcs-Git: git://git.debian.org/d-i/choose-mirror.git
 
 Package: choose-mirror
 XC-Package-Type: udeb

## choose-mirror 2.39

=== debian/changelog ===
choose-mirror (2.39) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Update URL for master mirror list. Closes: #638877

  [ Otavio Salvador ]
  * Do not overwrite the contents of mirror/suite and mirror/codename in
    case those has been preseeded. Thanks to Tokarski Boleslaw
    <boleslaw.tokarski@tieto.com> for the patch. Closes: #635053.

  [ Colin Watson ]
  * Fix broken check for "://" in proxy value.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Macedonian (mk.po) by Arangel Angov
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Aug 2011 21:33:45 +0100
